Subject: bug#6300: browse-url-encode need to encode more

From: Lars Magne Ingebrigtsen <[email-masked]>
Date: Wed, 21 Sep 2011 22:23:54 +0200

Lennart Borgman <[email-masked]> writes:

> The character ?" needs to be escaped at least on w32 because otherwise
> ShellExecute will not work. Maybe this part of the patch should be
> platform specific, I do not know.
>
> Both Google Chrome and Firefox still thinks that it is good manner to
> also escape blanks as ?+.
>
> I suggest the following patch (this is agains a checkout from 2010-05-22):
>
> === modified file 'lisp/net/browse-url.el'
> --- trunk/lisp/net/browse-url.el	2010-04-29 14:04:33 +0000
> +++ patched/lisp/net/browse-url.el	2010-05-29 10:52:33 +0000
> @@ -634,7 +634,8 @@
>    ;; FIXME: Is there an actual example of a web browser getting
>    ;; confused?  (This used to encode commas, but at least Firefox
>    ;; handles commas correctly and doesn't accept encoded commas.)
> -  (browse-url-url-encode-chars url "[)$]"))
> +  (replace-regexp-in-string " " "+"
> +                            (browse-url-url-encode-chars url "[\"()$]")))

Is there any reason space shouldn't be quoted as %20 instead?  I.e.,
just add it to the regexp there at the end?

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/